当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]大家帮帮忙,这样的问题该如何修复/?
帖子发表于 : 2007-11-27 15:23 

注册: 2007-02-09 3:20
帖子: 21
地址: 中华人民共和国
送出感谢: 0 次
接收感谢: 0 次
安装ub untu7.10后一直不能给文件重命名。于是我卸载调拉系统自带的输入法。卸载后安装小企鹅输入法后 一切正常了。
也可以给文件重命名了。但是问题也出现了。现在不管系统安装什么东西和卸载什么东西都会出现这样的问题,如图:终端的我没截图
这样的问题该如何修复。


终端的图抓下来拉。
每次安装或删除都会提示dpkg:处理 emdebian-tools (--configure)时出错:
子进程 post-installation script 返回了错误号 255


具体我用安装UNRAR做的测试。终端提示如下:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
rar 已经是最新的版本了。
已经不需要下列自动安装的软件包:
libchewing3-data libchewing3 openoffice.org-l10n-zh-cn
openoffice.org-l10n-zh-tw openoffice.org-help-zh-cn
mozilla-firefox-locale-zh-cn openoffice.org-help-zh-tw
mozilla-firefox-locale-zh-tw
使用 'apt-get autoremove' 来删除它们。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 0B 的软件包。
解压缩后会消耗掉 0B 的额外空间。
正在设置 emdebian-tools (0.2.0) ...
Unable to determine apt-cache policy for Debian main! at /var/lib/dpkg/info/emdebian-tools.postinst line 132.
dpkg:处理 emdebian-tools (--configure)时出错:
子进程 post-installation script 返回了错误号 255
在处理时有错误发生:
emdebian-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)


就这样的,我该怎么解决呢?每次的错误都是社呢帽子进程 返回了错误号255

我该怎么解决呀?不过安装或删除文件都正常,支部过有 错误提示。我真不想因为这一点小毛病去重新做系统.


附件:
Screenshot.png
Screenshot.png [ 279.98 KiB | 被浏览 78 次 ]

Screenshot.png
Screenshot.png [ 451.61 KiB | 被浏览 94 次 ]



最后由 hellufo 编辑于 2007-11-27 19:25,总共编辑了 2 次
页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-11-27 15:38 
头像

注册: 2006-10-25 18:10
帖子: 2677
地址: 长沙
送出感谢: 0 次
接收感谢: 0 次
那要看看终端的输出了。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-11-27 18:23 

注册: 2007-02-09 3:20
帖子: 21
地址: 中华人民共和国
送出感谢: 0 次
接收感谢: 0 次
我想办法再安装一个软件,把终端的图抓下来。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-11-27 18:38 
头像

注册: 2007-10-21 18:36
帖子: 3235
地址: 汕头/广东/中国
送出感谢: 2
接收感谢: 3
终端的图不能抓?开启3D,开启screnshot,WIN+鼠标左键,方框选中要截取的地方,在/home/*/Desktop里面找。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-11-27 19:33 

注册: 2007-02-09 3:20
帖子: 21
地址: 中华人民共和国
送出感谢: 0 次
接收感谢: 0 次
帖子修改拉。终端的显示我都复制下来拉。麻烦大家帮忙看看吧


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-11-27 19:46 
头像

注册: 2005-08-18 18:43
帖子: 3277
送出感谢: 0 次
接收感谢: 3
删除 /var/lib/dpkg/info/emdebian-tools.postinst 这个文件 再update 一次就好了


_________________
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-11-27 20:32 
头像

注册: 2007-11-27 19:38
帖子: 50
地址: 中华人民共和国
送出感谢: 0 次
接收感谢: 0 次
已经解决,谢谢几位朋友们的热心帮助。
解决方法:通过6楼的内存不足指点。
本人使用
sudo -s -H
cd /var/lib/dpkg/info/
rm -f emdebian-tools.postinst
sudo apt-get update
sudo apt-get dist-upgrade
得到解决。
在3天的真正 运用linux,通过此次的故障排除本人真正理解了通过终端查看故障信息。提示*.postinst配置文件错误的。可以直接删除,然后更新即可排除故障。由于本人刚刚步入linux几天,没有专业的术语表达能力。请见谅。再次感谢热心帮助我的朋友们。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译